<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Genuary 2024</title>
  <style>
    body {
      background-color: black;
      color: white;
      font-family: Arial, sans-serif;
      display: flex;
      justify-content: center;
      align-items: center;
      min-height: 100vh;
      margin: 0;
      flex-direction: column;
    }

    #splash-title {
      font-size: 48px;
      font-weight: bold;
      margin-bottom: 20px;
      animation: colorShift 5s infinite alternate; /* Color shift animation */
    }

    @keyframes colorShift {
      0% {
        color: #2ecc71;
      }
      50% {
        color: #3498db;
      }
      100% {
        color: #e74c3c;
      }
    }

    ol {
      list-style-type: none;
      padding: 0;
      max-width: 600px;
      width: 100%;
    }

    li {
      margin-bottom: 15px;
    }

    a {
      text-decoration: none;
      color: white;
      display: block;
      padding: 15px;
      border-radius: 10px;
      border: 2px solid white;
      transition: background-color 0.3s;
    }

    a:hover {
      background-color: #333;
    }

    .jan-number {
      font-weight: bold;
      margin-right: 10px;
      color: #3498db;
    }

    .prompt-title {
      display: block;
      margin-top: 5px;
      color: #e74c3c;
    }

    .disabled {
      color: #555;
      border-color: #555;
      background-color: #333;
      pointer-events: none;
    }

    canvas {
      position: absolute;
      top: 0;
      left: 0;
      pointer-events: none; /* Allow pointer events to go through the canvas */
    }
  </style>
</head>
<body>

<h1 id="splash-title">Genuary 2024</h1>

<ol>
  <li><a href="/genuary-01"><span class="jan-number">JAN. 1</span> <span class="prompt-title">Particles, lots of them</span></a></li>
  <li><a href="/genuary-02"><span class="jan-number">JAN. 2</span> <span class="prompt-title">No palettes. Generative colors, procedural colors, emergent colors.</span></a></li>
  <li><a href="/genuary-03" class="disabled"><span class="jan-number">JAN. 3</span> <span class="prompt-title">Droste effect.</span></a></li>
  <li><a href="/genuary-04"><span class="jan-number">JAN. 4</span> <span class="prompt-title">Pixels.</span></a></li>
  <li><a href="/genuary-05"><span class="jan-number">JAN. 5</span> <span class="prompt-title">In the style of Vera Molnár.</span></a></li>
  <li><a href="/genuary-06" class="disabled"><span class="jan-number">JAN. 6</span> <span class="prompt-title">Screensaver.</span></a></li>
  <li><a href="/genuary-07"><span class="jan-number">JAN. 7</span> <span class="prompt-title">Progress bar / indicator / loading animation.</span></a></li>
  <li><a href="/genuary-08" class="disabled"><span class="jan-number">JAN. 8</span> <span class="prompt-title">Chaotic system.</span></a></li>
  <li><a href="/genuary-09" class="disabled"><span class="jan-number">JAN. 9</span> <span class="prompt-title">ASCII.</span></a></li>
  <li><a href="/genuary-10" class="disabled"><span class="jan-number">JAN. 10</span> <span class="prompt-title">Hexagonal.</span></a></li>
  <li><a href="/genuary-11" class="disabled"><span class="jan-number">JAN. 11</span> <span class="prompt-title">In the style of Anni Albers.</span></a></li>
  <li><a href="/genuary-12" class="disabled"><span class="jan-number">JAN. 12</span> <span class="prompt-title">Lava lamp.</span></a></li>
  <li><a href="/genuary-13" class="disabled"><span class="jan-number">JAN. 13</span> <span class="prompt-title">Wobbly function day.</span></a></li>
  <li><a href="/genuary-14" class="disabled"><span class="jan-number">JAN. 14</span> <span class="prompt-title">Less than 1KB artwork.</span></a></li>
  <li><a href="/genuary-15" class="disabled"><span class="jan-number">JAN. 15</span> <span class="prompt-title">Use a physics library.</span></a></li>
  <li><a href="/genuary-16" class="disabled"><span class="jan-number">JAN. 16</span> <span class="prompt-title">Draw 10 000 of something.</span></a></li>
  <li><a href="/genuary-17" class="disabled"><span class="jan-number">JAN. 17</span> <span class="prompt-title">Inspired by Islamic art.</span></a></li>
  <li><a href="/genuary-18" class="disabled"><span class="jan-number">JAN. 18</span> <span class="prompt-title">Bauhaus.</span></a></li>
  <li><a href="/genuary-19" class="disabled"><span class="jan-number">JAN. 19</span> <span class="prompt-title">Flocking.</span></a></li>
  <li><a href="/genuary-20" class="disabled"><span class="jan-number">JAN. 20</span> <span class="prompt-title">Generative typography.</span></a></li>
  <li><a href="/genuary-21" class="disabled"><span class="jan-number">JAN. 21</span> <span class="prompt-title">Use a library that you haven’t used before.</span></a></li>
  <li><a href="/genuary-22" class="disabled"><span class="jan-number">JAN. 22</span> <span class="prompt-title">Point - line - plane.</span></a></li>
  <li><a href="/genuary-23" class="disabled"><span class="jan-number">JAN. 23</span> <span class="prompt-title">8×8.</span></a></li>
  <li><a href="/genuary-24" class="disabled"><span class="jan-number">JAN. 24</span> <span class="prompt-title">Impossible objects.</span></a></li>
  <li><a href="/genuary-25" class="disabled"><span class="jan-number">JAN. 25</span> <span class="prompt-title">Recreate something from your photos with code.</span></a></li>
  <li><a href="/genuary-26" class="disabled"><span class="jan-number">JAN. 26</span> <span class="prompt-title">Grow a seed.</span></a></li>
  <li><a href="/genuary-27" class="disabled"><span class="jan-number">JAN. 27</span> <span class="prompt-title">Code for one hour. At the one hour mark, you’re done.</span></a></li>
  <li><a href="/genuary-28" class="disabled"><span class="jan-number">JAN. 28</span> <span class="prompt-title">Skeuomorphism.</span></a></li>
  <li><a href="/genuary-29" class="disabled"><span class="jan-number">JAN. 29</span> <span class="prompt-title">Signed Distance Functions.</span></a></li>
  <li><a href="/genuary-30" class="disabled"><span class="jan-number">JAN. 30</span> <span class="prompt-title">Shaders.</span></a></li>
</ol>


<canvas id="particleCanvas"></canvas>

<script>
  const canvas = document.getElementById('particleCanvas');
  const ctx = canvas.getContext('2d');
  const particles = [];

  // Set canvas size to cover the entire window
  canvas.width = window.innerWidth;
  canvas.height = document.body.scrollHeight;

  class Particle {
    constructor(x, y, size, color) {
      this.x = x;
      this.y = y;
      this.size = size;
      this.color = color;
      this.speedX = Math.random() * 3 - 1.5;
      this.speedY = Math.random() * 3 - 1.5;
    }

    update() {
      this.x += this.speedX;
      this.y += this.speedY;
      if (this.size > 0.2) this.size -= 0.1;
    }

    draw() {
      ctx.fillStyle = this.color;
      ctx.beginPath();
      ctx.arc(this.x, this.y, this.size, 0, Math.PI * 2);
      ctx.fill();
    }
  }

  let hue = 0

  function createParticle(e) {
    const xPos = e.x;
    const yPos = e.y + document.body.scrollTop;

    hue++

    const size = Math.random() * 20 + 5;
    // const color = `hsl(${Math.random() * 360}, 80%, 50%)`;
    const color = `hsl(${hue%360}, 80%, 50%)`;

    particles.push(new Particle(xPos, yPos, size, color));
  }

  function animateParticles() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    for (let i = 0; i < particles.length; i++) {
      particles[i].update();
      particles[i].draw();

      if (particles[i].size <= 0.2) {
        particles.splice(i, 1);
        i--;
      }
    }
    requestAnimationFrame(animateParticles);
  }

  document.addEventListener('mousemove', createParticle);
  animateParticles();
</script>

</body>
</html>